Package org.apache.storm.trident.topology.state

## Class RotatingTransactionalState

- java.lang.Object
- - org.apache.storm.trident.topology.state.RotatingTransactionalState

-     public class RotatingTransactionalState
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `RotatingTransactionalState.StateInitializer` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RotatingTransactionalState​(TransactionalState state, String subdir)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cleanupBefore​(long txid)` |
    `Object` | `getLastState()` |
    `Object` | `getPreviousState​(long txid)` |
    `Object` | `getState​(long txid)` |
    `Object` | `getState​(long txid, RotatingTransactionalState.StateInitializer init)` |
    `Object` | `getStateOrCreate​(long txid, RotatingTransactionalState.StateInitializer init)` | Returns null if it was created, the value otherwise.
    `boolean` | `hasCache​(long txid)` |
    `void` | `overrideState​(long txid, Object state)` |
    `void` | `removeState​(long txid)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RotatingTransactionalState

          public RotatingTransactionalState​(TransactionalState state,
                                            String subdir)

  - ### Method Detail

    - #### getLastState

          public Object getLastState()

    - #### overrideState

          public void overrideState​(long txid,
                                    Object state)

    - #### removeState

          public void removeState​(long txid)

    - #### getState

          public Object getState​(long txid)

    - #### getState

          public Object getState​(long txid,
                                 RotatingTransactionalState.StateInitializer init)

    - #### getPreviousState

          public Object getPreviousState​(long txid)

    - #### hasCache

          public boolean hasCache​(long txid)

    - #### getStateOrCreate

          public Object getStateOrCreate​(long txid,
                                         RotatingTransactionalState.StateInitializer init)

      Returns null if it was created, the value otherwise.

    - #### cleanupBefore

          public void cleanupBefore​(long txid)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`